Bug 115674 - first boot uses unsafe video modes and runs in text-only setups
first boot uses unsafe video modes and runs in text-only setups
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: Chris Lumens
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-14 13:10 EST by Alan Cox
Modified: 2008-05-13 14:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 14:13:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-02-14 13:10:49 EST
Description of problem:
On a system with unknown monitor firstboot does not use 640x480 VGA
mode. This may actually damage some old hardware.

Graphical firstboot also runs on a text install, which is rather
unfortunate when the machine being installed isnt connected to a
monitor at all.
Comment 1 Brent Fox 2004-02-16 16:11:38 EST
IIRC, anaconda sets the runlevel to 5 unless you do a custom or server
install and select text only login.  Only then will it set the
runlevel to 3. 

Firstboot should now run in text mode if the runlevel is 3 (this is
new in FC2).  However, if you did a text mode anaconda install and
XFree86 was installed and the runlevel was set to 5, I'm not sure how
firstboot is supposed to somehow know to avoid starting in graphical mode.
Comment 2 Alan Cox 2004-02-16 19:02:20 EST
If firstboot defaulted to a save video mode (60Hz 31.5Khz 640x480
only) it wouldnt be so bad (but I guess thats an installer bug). Maybe
text mode installs should write something to /etc/sysconfig/firstboot
indicating a textual first boot or a "show license and ask " box instead ?
Comment 3 Brent Fox 2004-03-04 15:47:26 EST
Whether a text mode install should by imply a text mode firstboot is
probably Jeremy's decision to make.  Jeremy mentioned on IRC that
perhaps a text mode installation should automatically imply runlevel
3.  This would cause firstboot to come up in text mode without any
changes to the firstboot code.
Comment 4 Vlado Potisk 2005-11-11 12:02:04 EST
Graphical firstboot during a text-mode installation is still an issue in FC4. I
am using X (implies runlevel 5) but I have an external X terminal.

The computer itself has no graphical monitor, that's why I have to use text mode
installation, but with firstboot as it currently exists it is IMPOSSIBLE to
finish the installation.
Comment 5 Chris Lumens 2006-10-03 10:39:37 EDT
More recent firstboots have a text mode that runs after text installs.  How is
the unsafe video mode problem now that we are using the X autoconfig code?
Comment 6 Alan Cox 2006-10-03 11:53:23 EDT
I'm not familiar enough with the non EDID behaviour in this case.

The safe mode without EDID is 640x480@60HZ. We've always done 800x600 which is
"mostly safe"

By now its probably the case that few of our users have non EDID capable
displays except TFT and few will have 640x480 TFT!
Comment 7 Christian Iseli 2007-01-19 19:42:29 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 8 Alan Cox 2007-03-21 12:00:28 EDT
Still true
Comment 9 Bug Zapper 2008-04-03 21:49:53 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Alan Cox 2008-04-07 12:11:41 EDT
still true
Comment 11 Chris Lumens 2008-05-13 14:13:00 EDT
firstboot is now entirely using X's autoconfiguration code to set up the X
session.  In the future we'll probably be using whatever the new gdm does
instead.  So if you're still seeing dangerous video modes in rawhide post-F9,
that's going to be an X problem.

And of course, there's a working text mode interface as well.

Note You need to log in before you can comment on or make changes to this bug.